1372826956:AAFe2Py65GSQkfGiRnXuOQ-eD9yXcwMv988

Daha hızlı çalışmak için Özel bir AutoCAD İkincil Komutu Oluşturma

Teknik_ressam_Hakan isimli site üyemiz, AutoCAD‘de makroları nasıl kullanacağınıza dair bir ipucu göndermiş. Bu bize ipucu kullanıcı ara yüzünü özelleştirmenin karmaşık olması gerekmediğini çok net bir şekilde gösteriyor.

Makrolar çok kullanışlı olmakla birlikte; kullanıcı ara yüzünü özelleştirmede (KAYÖ) “(CUI)” kullanımı sınırlıdır. Araç çubuğundan, şeritten, çift tıklamayla veya araç paletinden makroya erişebilirsiniz. Ancak şayet komut satırını kullanmak istiyorsanız, AutoLISP kullanmanız gerekir.

Makronun olduğu gibi, özelleştirmenin karmaşık olması gerekmez. İşte Teknik_ressam_Hakan isimli site üyemizden birkaç ikincil komut fikri aşağıdadır:

İkinci Komutlar

AutoCAD komutları, komut çalışırken komut satırında değiştirebileceğiniz birçok ayar içermektedirler. Şayet belirli bir komutu kullanırken ayarı sık sık değiştiriyorsanız, ikincil bir komut oluşturmak iyi bir fikir olacaktır. Aşağıda, ikincil komutlar olarak kullanabileceğiniz iki fikir bulunmaktadır.

Ofset Yapmak için O, O anki Geçerli (Aktif) Tabakaya Ofset Yapmak için OO

AutoCAD’in OFFSET komutu, ön tanımlı olarak orijinal nesne ile aynı tabaka üzerinde bir sonuç yaratacaktır. Bununla birlikte OFFSET komutu aktifken, parametreyi değiştirerek tabakayı o anki geçerli (aktif) tabakaya değiştirebilirsiniz. O anki geçerli (Aktif) tabakada sonuç oluşturmak için, komutu başlatmak için, OO yazarsanız daha hızlı olur, değil mi?

OC‘yi kesinlikle komut olarak kullanabilirsiniz. Fakat burada ikincil komutlar fikri, mevcut komutlara hızlı bir şekilde sahip olmaktır. OC den ziyade OO yazmak daha hızlı olacaktır değil mi?

İlk AutoLISP Programınız-Orijine Görüntü Yaklaşma isimli öğreticiyi kontrol edin. Bu öğretici size, bir LISP programı oluşturarak nasıl basit özelleştirme oluşturabileceğiniz hakkında fikir verecektir.

Bu makalemde anlattığım gibi, aşağıdaki bu kod ile o anki geçerli (aktif) tabakaya “layer” OFFSET yapmak için benzer bir program oluşturabilirsiniz:

(defun c:OO (/ )

(command “_OFFSET” “L” “C”)

)

Bunun gibi kaynak nesne ile aynı tabaka “layer” üzerine nesne oluşturmak için, başka bir LISP de yaratabilirsiniz:

(defun c:OOO (/ )

(command “_OFFSET” “L” “S”)

)

Tabi ki şayet isterseniz, OOO dan başka bir komut kısaltması da kullanabilirsiniz.

Nesneleri Taşımak için MOVE (M), Önceki Seçilen Nesneleri Taşımak için (MM)

Başka bir fikir, daha önce seçilen nesneleri taşımak için, özel bir komut oluşturmaktır. İşte kod:

(defun c:MM (/ )

(command “_MOVE” “P”)

)

Bu özel komut ile M yazdıktan sonra, P yazıp Enter tuşuna basmak yerine; MM yazıp Enter tuşuna basabilirsiniz.

Yukarıdaki LISP kodunu buradan indirebilirsiniz. AutoLISP programını nasıl yükleyeceğinizi bilmiyorsanız, buradan okuyun.

Diğer ikincil komutlar hakkında sizin de bir fikriniz var mı?

Şayet sizde ikincil komutlar oluşturma fikrini seviyorsanız, sık kullandığınız bir komut oluşturmak için bazı fikirleriniz olabilir. Bizimle paylaşmak için bir fikriniz var mı? Diğer site okuyucularının da bu konuda okuyabileceği şekilde fikirlerinizi aşağıdaki yorum bölümüne yazabilirsiniz!

Böylece bizler de sizden de bir şey öğrenebiliriz.

 

Hakkında Sertan Türkan

AutoCAD Beyni

Bunu da Kontrol edin

Revitte Bir Plan Görünüşü Oluşturma

Revit’te projenize başka bir görünüş ekleyebilir veya mevcut bir görünüşü çoğaltabilirsiniz. Bunun için: Görünüş “View” …

Bir cevap yazın

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Yardıma mı ihtiyacınız var? Chat with us
Bir görüşme başlatmak için lütfen önce gizlilik politikamızı kabul edin.